Herald
OpenapiApi keys

Get a specific API Key by ID

Retrieves details of an API key. Hash and plaintext are never exposed.

GET
/api/api-keys/{realmId}/{apiKeyId}

Retrieves details of an API key. Hash and plaintext are never exposed.

Path Parameters

realmId*string

Realm ID

apiKeyId*string

API Key ID

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/api/api-keys/string/string"
{  "clientAppId": "d386372c-64d9-49da-bb8b-4b5eda60f56c",  "clientAppName": "string",  "createdAt": "string",  "enabled": true,  "expiresAt": "string",  "id": "string",  "lastUsedAt": "string",  "name": "string",  "realmId": "string",  "roles": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "name": "string"    }  ]}
{  "code": "string",  "details": null,  "message": "string",  "requestId": "string",  "status": 0}
{  "code": "string",  "details": null,  "message": "string",  "requestId": "string",  "status": 0}
{  "code": "string",  "details": null,  "message": "string",  "requestId": "string",  "status": 0}